<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/>
	<xsl:param name="message"/>
	<xsl:param name="pageTitle">Input <xsl:value-of select="$inputEditIndex"/></xsl:param>
	<xsl:param name="defaultBase"/>
	<xsl:param name="pmt_tracking"/>
	<xsl:include href="namedtemplates.xsl"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>
					<xsl:value-of select="$web_title"/>
				</title>
				<xsl:if test="configuration/user_data/auto_logout_time != 0">
					<xsl:element name="meta">
						<xsl:attribute name="http-equiv">refresh</xsl:attribute>
						<xsl:attribute name="content"><xsl:value-of select="(configuration/user_data/auto_logout_time * 60)+ 5"/>;URL=inputx.py?inputEditIndex=<xsl:value-of select="$inputEditIndex"/></xsl:attribute>
					</xsl:element>
				</xsl:if>
				<xsl:call-template name="common_imports"/>
				<script src="/javascript/inputs.js" type="text/javascript"/>
			</head>
			<body onload="window.defaultStatus=''; StartFloat();">
				<xsl:call-template name="initPage">
					<xsl:with-param name="pageName">inputs.py</xsl:with-param>
					<xsl:with-param name="reloadPage">inputx.py</xsl:with-param>
					<xsl:with-param name="message" select="$message"/>
					<xsl:with-param name="applyClick">selectAllOptions(document.getElementById('current_programs*')); selectAllOptions(document.getElementById('removed_ghost_services*')); selectAllOptions(document.getElementById('removed_services*')); document.applyform.submit()</xsl:with-param>
					<xsl:with-param name="params">inputEditIndex=<xsl:value-of select="$inputEditIndex"/></xsl:with-param>
				</xsl:call-template>
				<div id="displayresults">
					<form method="post" name="applyform">
						<xsl:attribute name="action">inputx.py</xsl:attribute>
						<input type="hidden" name="action" value="apply"/>
						<input type="hidden" name="inputEditIndex" value="{$inputEditIndex}"/>
						<table>
							<tr>
								<td>
									<h1 class="display">Input</h1>
								</td>
								<td>
									<select name="inputEdit" onchange="window.location='inputx.py?inputEditIndex=' + this.value">
									<xsl:for-each select="configuration/port">
										<option value="{@index}"><xsl:if test="$inputEditIndex = @index"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if><xsl:value-of select="@index"/></option>
									</xsl:for-each>
									</select>
								</td>
							</tr>
						</table>
						<xsl:apply-templates mode="doeditport" />
					</form>
				</div>
			</body>
		</html>
	</xsl:template>
	<!--.........................................................Port Information Template.......................................... -->
	<xsl:template match="status/port[@index=$inputEditIndex]" mode="doeditport">
		<xsl:param name="group" select="../../port[@index=$inputEditIndex]/redundancy/group"/>
		<xsl:param name="role" select="../../port[@index=$inputEditIndex]/redundancy/role"/>
		<xsl:param name="mode" select="../../port[@index=$inputEditIndex]/mode"/>
		<xsl:param name="opmode" select="../../port[@index=$inputEditIndex]/opmode"/>
		<xsl:param name="tabletype" select="../../port[@index=$inputEditIndex]/tabletype"/>
		<xsl:param name="portstate" select="../../port[@index=$inputEditIndex]/portstate"/>
		<xsl:param name="clsmstate" select="../../port[@index=$inputEditIndex]/clsmstate"/>
		<xsl:param name="capass" select="../../port[@index=$inputEditIndex]/pass_inbound_ca"/>
		<xsl:param name="separation" select="../../port[@index=$inputEditIndex]/tuner/separation"/>
		<xsl:param name="channel" select="../../port[@index=$inputEditIndex]/tuner/channel"/>
		<xsl:param name="modulation" select="../../port[@index=$inputEditIndex]/tuner/modulation"/>
		<xsl:param name="coderate" select="../../port[@index=$inputEditIndex]/tuner/coderate"/>
		<xsl:param name="hierarchy" select="../../port[@index=$inputEditIndex]/tuner/hierarchy"/>
		<xsl:param name="guard_interval" select="../../port[@index=$inputEditIndex]/tuner/guard_interval"/>
		<xsl:param name="fftsize" select="../../port[@index=$inputEditIndex]/tuner/fftsize"/>
		<xsl:param name="lband_frequency" select="../../port[@index=$inputEditIndex]/tuner/lband_frequency"/>
		<xsl:param name="symbol_rate" select="../../port[@index=$inputEditIndex]/tuner/symbol_rate"/>
		<xsl:param name="viterbi" select="../../port[@index=$inputEditIndex]/tuner/viterbi"/>
		<xsl:param name="polarity" select="../../port[@index=$inputEditIndex]/tuner/polarity"/>
		<xsl:param name="tone_22KHz" select="../../port[@index=$inputEditIndex]/tuner/tone_22KHz"/>
		<table class="inputx">
			<tr>
				<td>
					Input State:
				</td>
				<td>
					<xsl:choose>
						<xsl:when test="/configuration/system/features/feature[@name=concat('input',$inputEditIndex)]='Locked'">
							Feature Locked
						</xsl:when>
						<xsl:otherwise>
							<select name="port_state" style="width:120px">
								<xsl:call-template name="printOptions">
									<xsl:with-param name="optionName">port_state</xsl:with-param>
									<xsl:with-param name="defaultValue" select="$portstate"/>
								</xsl:call-template>
							</select>
						</xsl:otherwise>
					</xsl:choose>
				</td>
				<td>
					Input Mode:
				</td>
				<td>
					<select name="opmode" style="width:120px">
						<xsl:call-template name="printOptions">
							<xsl:with-param name="optionName">opmode</xsl:with-param>
							<xsl:with-param name="defaultValue" select="$opmode"/>
						</xsl:call-template>
					</select>
				</td>
			</tr>
			<tr>
				<td>
					Input Tables:
				</td>
				<td>
					<select name="tabletype" style="width:120px">
						<xsl:call-template name="printOptions">
							<xsl:with-param name="optionName">input_table_type</xsl:with-param>
							<xsl:with-param name="defaultValue" select="$tabletype"/>
						</xsl:call-template>
					</select>
				</td>
				<td>
					Pass CA:
				</td>
				<td>
					<select name="pass_inbound_ca" style="width:120px">
						<xsl:call-template name="printOptions">
							<xsl:with-param name="optionName">yesno</xsl:with-param>
							<xsl:with-param name="defaultValue" select="$capass"/>
						</xsl:call-template>
					</select>
				</td>
			</tr>
			<xsl:if test="$version = 3">
				<tr>
					<td>
						Redundancy Group:
					</td>
					<td>
						<select name="redundancy_group" style="width:120px">
							<xsl:call-template name="printOptions">
								<xsl:with-param name="optionName">redundancy_group</xsl:with-param>
								<xsl:with-param name="defaultValue" select="$group"/>
							</xsl:call-template>
						</select>
					</td>
					<td>
						Redundancy Role:
					</td>
					<td>
						<select name="redundancy_role" style="width:120px">
							<xsl:call-template name="printOptions">
								<xsl:with-param name="optionName">redundancy_role</xsl:with-param>
								<xsl:with-param name="defaultValue" select="$role"/>
							</xsl:call-template>
						</select>
					</td>
				</tr>
			</xsl:if>
			<tr>
				<td>
					Auto. Dyn. PMT Tracking:
				</td>
				<td colspan="3">
					<select name="pmt_tracking" style="width: 120px">
						<xsl:call-template name="printOptions">
							<xsl:with-param name="optionName">onoff</xsl:with-param>
							<xsl:with-param name="defaultValue" select="$pmt_tracking"/>
						</xsl:call-template>
					</select>
				</td>
			</tr>
		</table>
		<div>
			<!--.......................................If Manual Mode............................ -->
			<!--xsl:if test="$mode = 'Manual DCII' or $mode = 'Manual DVB' or $mode = 'Manual MPEG'"-->
			<xsl:if test="$opmode = 'Manual'">
				<br/>
				<div class="programrow">
					<div class="programcell">
						<xsl:if test="$portstate = 'Disabled'">
							<xsl:attribute name="style">display:none</xsl:attribute>
						</xsl:if>
						<b>Available Programs</b>
						<br/>
						<br/>
						<select name="available_programs*" id="available_programs*" size="30" multiple="multiple" style="width:375px;" ondblclick="copySelectedOptions(document.getElementById('available_programs*'), document.getElementById('current_programs*'));">
							<xsl:for-each select="available_programs/program">
								<xsl:element name="option">
									<xsl:attribute name="value">service://index=<xsl:value-of select="../../@index"/>^service=<xsl:value-of select="@program_number"/>^provider=<xsl:value-of select="../provider"/>^name=<xsl:value-of select="../name_in"/>^stype=<xsl:value-of select="service_type"/><xsl:for-each select="pid"><xsl:text>^pid=</xsl:text><xsl:value-of select="@stream_type"/>,<xsl:value-of select="."/><xsl:if test="./@language_code">,<xsl:value-of select="@language_code"/></xsl:if></xsl:for-each></xsl:attribute>
									<!--xsl:attribute name="value"><xsl:value-of select="@program_number"/>,<xsl:value-of select="@provider"/>,<xsl:value-of select="@name"/></xsl:attribute-->
									<xsl:value-of select="@program_number"/> - <xsl:value-of select="name_in"/>
								</xsl:element>
								<!-- Present components for ghost capability -->
								<optgroup label="Components">
									<!--xsl:attribute name="label"><xsl:value-of select="@name"/></xsl:attribute-->
									<xsl:for-each select="pid">
										<xsl:if test="@stream_type != 'PMT'">
											<xsl:element name="option">
												<xsl:attribute name="value">ghost://index=0^pid_in=<xsl:value-of select="."/>^service=<xsl:value-of select="../@program_number"/>^provider=<xsl:value-of select="../provider"/>^name=<xsl:value-of select="../name_in"/>^stream_type=<xsl:value-of select="@stream_type"/></xsl:attribute>
												<xsl:value-of select="@stream_type"/> (<xsl:value-of select="../@program_number"/><xsl:text>/</xsl:text>
												<xsl:choose>
													<xsl:when test="$defaultBase = '16'">
														<xsl:value-of select="."/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:call-template name="hex2dec">
															<xsl:with-param name="num" select="."/>
														</xsl:call-template>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:text>)</xsl:text>
											</xsl:element>
										</xsl:if>
									</xsl:for-each>
								</optgroup>
							</xsl:for-each>
						</select>
					</div>
					<div class="programaddrop">
						<xsl:if test="$portstate = 'Disabled'">
							<xsl:attribute name="style">display:none</xsl:attribute>
						</xsl:if>
						<!--input type="image" src="../images/add.gif" onClick="copySelectedOptions(this.form.elements['available_programs*'], this.form.elements['current_programs*'],false);return false;"/>
						<br />
						<input type="image" src="../images/drop.gif" onClick="removeSelectedOptions(this.form.elements['current_programs*']); return false;"/-->
						<br/><br/><br/><img src="../images/add.gif" onclick="copySelectedOptions(document.getElementById('available_programs*'), document.getElementById('current_programs*'),false);return false;" alt="add"/>
						<br/>
						<img src="../images/drop.gif" onclick="removeSelectedOptions(document.getElementById('current_programs*')); return false;" alt="drop"/>
					</div>
					<div class="programcell">
						<xsl:choose>
							<xsl:when test="$portstate = 'Enabled'">
								<b>Current Programs</b>
							</xsl:when>
							<xsl:otherwise>
								<b>Disabled Programs List</b>
							</xsl:otherwise>
						</xsl:choose>
						<br/>
						<br/>
						<select name="current_programs*" class="current_programs" id="current_programs*" size="30" multiple="multiple" style="width:375px;" ondblclick="removeSelectedOptions(document.getElementById('current_programs*'));">
							<xsl:if test="$portstate = 'Enabled'">
								<xsl:for-each select="routed_programs/program">
									<xsl:element name="option">
										<xsl:attribute name="value">service://index=<xsl:value-of select="../../@index"/>^service=<xsl:value-of select="@program_number_in"/>^provider=<xsl:value-of select="../provider"/>^name=<xsl:value-of select="../name_out"/><xsl:text>^stype=</xsl:text><xsl:call-template name="getServiceTypeOut"><xsl:with-param name="aIndex" select="../../@index"/><xsl:with-param name="aProgramNumberIn" select="@program_number_in"/></xsl:call-template><xsl:for-each select="pid"><xsl:text>^pid=</xsl:text><xsl:value-of select="@stream_type"/>,<xsl:value-of select="@pid_in"/><xsl:if test="./@language_code">,<xsl:value-of select="@language_code"/></xsl:if></xsl:for-each><xsl:text>^status=</xsl:text><xsl:value-of select="@status"/></xsl:attribute>
										<!--xsl:attribute name="value"><xsl:value-of select="@program_number_in"/>,<xsl:value-of select="@provider"/>,<xsl:value-of select="@name"/></xsl:attribute-->
										<xsl:value-of select="@program_number_in"/> - <xsl:value-of select="name_out"/> (<xsl:value-of select="@status"/>)<xsl:text/>
									</xsl:element>
								</xsl:for-each>
							</xsl:if>
							<xsl:if test="$portstate = 'Disabled'">
								<xsl:for-each select="/configuration/port[@index=$inputEditIndex]/program_remap/program">
									<xsl:element name="option">
										<xsl:attribute name="class">inactive-program</xsl:attribute>
										<xsl:attribute name="value">service://index=<xsl:value-of select="../../@index"/>^service=<xsl:value-of select="@program_number_in"/>^provider=<xsl:value-of select="../provider"/>^name=<xsl:value-of select="../name_out"/><xsl:text>^stype=</xsl:text><xsl:call-template name="getServiceTypeOut"><xsl:with-param name="aIndex" select="../../@index"/><xsl:with-param name="aProgramNumberIn" select="@program_number_in"/></xsl:call-template><xsl:for-each select="pid"><xsl:text>^pid=</xsl:text><xsl:value-of select="@stream_type"/>,<xsl:value-of select="@pid_in"/><xsl:if test="./@language_code">,<xsl:value-of select="@language_code"/></xsl:if></xsl:for-each><xsl:text>^status=</xsl:text><xsl:value-of select="@status"/></xsl:attribute>
										<!--xsl:attribute name="value"><xsl:value-of select="@program_number_in"/>,<xsl:value-of select="@provider"/>,<xsl:value-of select="@name"/></xsl:attribute-->
										<xsl:value-of select="@program_number_in"/> - <xsl:value-of select="name_out"/> (disabled)<xsl:text/>
									</xsl:element>
								</xsl:for-each>
							</xsl:if>
							<!-- Handle Ghost services -->
							<xsl:for-each select="/configuration/status/ghost/program[pid/source_port = $inputEditIndex]">
								<!--xsl:if test="$inputEditIndex = 1 and count(./pid[source_port = $inputEditIndex]) = 1"-->
								<optgroup>
									<xsl:attribute name="label"><xsl:value-of select="name_out"/></xsl:attribute>
									<xsl:for-each select="pid">
										<xsl:if test="source_port = $inputEditIndex and @stream_type != 'PMT'">
											<xsl:element name="option">
												<xsl:if test="../@status = 'inactive'">
													<xsl:attribute name="class">inactive-program</xsl:attribute>
												</xsl:if>
												<xsl:attribute name="value">ghost://index=<xsl:value-of select="../../@index"/>^pid_in=<xsl:value-of select="@pid_in"/>^service=<xsl:value-of select="source_program_number"/>^provider=<xsl:value-of select="../provider"/>^name=<xsl:value-of select="../name_out"/></xsl:attribute>
												<!--xsl:call-template name="getGhostPidStreamType">
													<xsl:with-param name="sourcePort" select="source_port"/>
													<xsl:with-param name="sourceProgram" select="source_program_number"/>
													<xsl:with-param name="sourcePid" select="@pid_in"/>
												</xsl:call-template-->
												<xsl:value-of select="@stream_type"/> (<xsl:value-of select="source_program_number"/>/<xsl:value-of select="@pid_in"/>
												<xsl:if test="@shared = 'Yes'"> Shared</xsl:if>)<xsl:text/>
											</xsl:element>
										</xsl:if>
									</xsl:for-each>
								</optgroup>
								<!--/xsl:if-->
							</xsl:for-each>
							<xsl:if test="$portstate = 'Enabled'">
								<option value="">----</option>
							</xsl:if>
						</select>
						<select name="removed_ghost_services*" id="removed_ghost_services*" style="visibility:hidden" multiple="multiple"/>
						<select name="removed_services*" id="removed_services*" style="visibility:hidden" multiple="multiple"/>
					</div>
				</div>
			</xsl:if>
			<!--................................ If MHP Injector Mode................................. -->
			<!--xsl:if test="$mode = 'Disabled' or $mode = 'Tables'"-->
			<xsl:if test="$opmode = 'MHP Injector'">
				<select name="current_programs*" id="current_programs*" multiple="multiple" style="visibility:hidden;"/>
				<br/>
				<div class="programrow">
					<div class="programcell">
						<b>Available Programs</b>
						<br/>
						<br/>
						<select name="available_programs*" id="available_programs*" size="30" multiple="multiple" style="width:375px;">
							<xsl:for-each select="available_programs/program">
								<xsl:element name="option">
									<xsl:attribute name="value">service://index=<xsl:value-of select="../../@index"/>^service=<xsl:value-of select="@program_number"/>^provider=<xsl:value-of select="../provider"/>^name=<xsl:value-of select="../name_in"/>^stype=<xsl:value-of select="service_type"/><xsl:for-each select="pid"><xsl:text>^pid=</xsl:text><xsl:value-of select="@stream_type"/>,<xsl:value-of select="."/><xsl:if test="./@language_code">,<xsl:value-of select="@language_code"/></xsl:if></xsl:for-each></xsl:attribute>
									<!--xsl:attribute name="value"><xsl:value-of select="@program_number"/>,<xsl:value-of select="@provider"/>,<xsl:value-of select="@name"/></xsl:attribute-->
									<xsl:value-of select="@program_number"/> - <xsl:value-of select="name_in"/>
								</xsl:element>
							</xsl:for-each>
						</select>
					</div>
				</div>
			</xsl:if>
			<!--................................ If Disabled Mode..................................... -->
			<!--xsl:if test="$mode = 'Disabled' or $mode = 'Tables'"-->
			<xsl:if test="$opmode = 'Disabled' or $opmode = 'SI Injector'">
				<select name="current_programs*" id="current_programs*" multiple="multiple" style="visibility:hidden;"/>
			</xsl:if>
			<!--................................ If Auto Mode..................................... -->
			<xsl:if test="$opmode = 'Auto'">
				<select name="current_programs*" id="current_programs*" multiple="multiple" style="visibility:hidden;"/>
				<table cellpadding="0" cellspacing="0">
					<tr>
						<td class="programcell">
							<b>Available Programs: </b>
							<table class="largegeneralcell">
								<tr class="headerrow">
									<td class="inputheadercellID">Service ID</td>
									<td class="inputheadercellPN">Program Name</td>
								</tr>
								<xsl:for-each select="available_programs/program">
									<tr class="activerow">
										<td class="inputtablecellID">
											<xsl:value-of select="@program_number"/>
										</td>
										<td class="inputtablecellPN">
											<xsl:value-of select="name_in"/>
										</td>
									</tr>
									<!-- Present components for ghost capability -->
									<!--xsl:attribute name="label"><xsl:value-of select="@name"/></xsl:attribute-->
									<xsl:for-each select="pid">
										<xsl:if test="@stream_type != 'PMT'">
											<tr class="activerow">
												<td class="inputtablecellID"></td>
												<td class="inputtablecellPN">
													<xsl:element name="input">
														<xsl:attribute name="id"><xsl:value-of select="../@program_number"/>_<xsl:value-of select="."/></xsl:attribute>
														<xsl:attribute name="name">ghost_add*</xsl:attribute>
														<xsl:attribute name="type">checkbox</xsl:attribute>
														<xsl:attribute name="value">ghost://index=0^pid_in=<xsl:value-of select="."/>^service=<xsl:value-of select="../@program_number"/>^provider=<xsl:value-of select="../provider"/>^name=<xsl:value-of select="../name_in"/>^stream_type=<xsl:value-of select="@stream_type"/></xsl:attribute>
													</xsl:element>
													<label>
														<xsl:attribute name="for"><xsl:value-of select="../@program_number"/>_<xsl:value-of select="."/></xsl:attribute>
														<xsl:value-of select="@stream_type"/> (<xsl:value-of select="../@program_number"/>/<xsl:value-of select="."/>)<xsl:text/>
													</label>
												</td>
											</tr>
										</xsl:if>
									</xsl:for-each>
								</xsl:for-each>
							</table>
						</td>
						<td class="programcell">
							<b>Current Programs:</b>
							<table class="largegeneralcell">
								<tr class="headerrow">
									<td class="inputheadercellID">Service ID</td>
									<td class="inputheadercellPN">Program Name</td>
								</tr>
								<xsl:for-each select="routed_programs/program">
									<tr class="activerow">
										<td class="inputtablecellID">
											<xsl:value-of select="@assigned"/> (<xsl:value-of select="@program_number_in"/>)
									</td>
										<td class="inputtablecellPN">
											<xsl:value-of select="name_out"/> (<xsl:value-of select="@status"/>)<xsl:text/>
										</td>
									</tr>
									<xsl:for-each select="pid">
										<xsl:if test="@stream_type != 'PMT'">
											<tr class="activerow">
												<td class="inputtablecellID"></td>
												<td class="inputtablecellPN">
													<xsl:element name="input">
														<xsl:attribute name="id"><xsl:value-of select="$inputEditIndex"/>_<xsl:value-of select="../@program_number_in"/>_<xsl:value-of select="@pid_in"/></xsl:attribute>
														<xsl:attribute name="name">drop_components*</xsl:attribute>
														<xsl:attribute name="type">checkbox</xsl:attribute>
														<xsl:attribute name="value">drop://index=<xsl:value-of select="$inputEditIndex"/>^pid_in=<xsl:value-of select="@pid_in"/>^service=<xsl:value-of select="../@program_number_in"/>^provider=<xsl:value-of select="../provider"/>^name=<xsl:value-of select="../name_out"/></xsl:attribute>
													</xsl:element>
													<label>
														<xsl:attribute name="for"><xsl:value-of select="$inputEditIndex"/>_<xsl:value-of select="../@program_number_in"/>_<xsl:value-of select="@pid_in"/></xsl:attribute>
														<xsl:value-of select="@stream_type"/> (<xsl:value-of select="../@program_number_in"/>/<xsl:value-of select="@pid_in"/>
														<!--xsl:if test="@shared = 'Yes'"> Shared</xsl:if-->)<xsl:text/>
													</label>
												</td>
											</tr>
										</xsl:if>
									</xsl:for-each>
								</xsl:for-each>
								<!-- Handle Ghost services -->
								<xsl:for-each select="/configuration/status/ghost/program[pid/source_port = $inputEditIndex]">
									<tr class="activerow">
										<td class="idcell">
											<xsl:value-of select="@assigned"/>
										</td>
										<td class="generalcell">
											<i>
												<xsl:value-of select="name_out"/>
											</i>
										</td>
									</tr>
									<xsl:for-each select="pid">
										<xsl:if test="source_port = $inputEditIndex and @stream_type != 'PMT'">
											<tr class="activerow">
												<td class="idcell"></td>
												<td class="generalcell">
													<xsl:element name="input">
														<xsl:attribute name="id"><xsl:value-of select="source_port"/>_<xsl:value-of select="source_program_number"/>_<xsl:value-of select="@pid_in"/></xsl:attribute>
														<xsl:attribute name="name">removed_ghost_services*</xsl:attribute>
														<xsl:attribute name="type">checkbox</xsl:attribute>
														<xsl:attribute name="value">ghost://index=<xsl:value-of select="../../@index"/>^pid_in=<xsl:value-of select="@pid_in"/>^service=<xsl:value-of select="source_program_number"/>^provider=<xsl:value-of select="../provider"/>^name=<xsl:value-of select="../name_out"/></xsl:attribute>
													</xsl:element>
													<label>
														<xsl:attribute name="for"><xsl:value-of select="../@program_number"/>_<xsl:value-of select="."/></xsl:attribute>
														<xsl:value-of select="@stream_type"/> (<xsl:value-of select="source_program_number"/>/<xsl:value-of select="@pid_in"/>
														<xsl:if test="@shared = 'Yes'"> Shared</xsl:if>)<xsl:text/>
													</label>
												</td>
											</tr>
										</xsl:if>
									</xsl:for-each>
								</xsl:for-each>
							</table>
						</td>
					</tr>
				</table>
				<br/><br/>
			</xsl:if>
			<div>
			<xsl:if test="$opmode = 'Manual'">
				<xsl:attribute name="style">position:relative;top:-50px;</xsl:attribute>
			</xsl:if>
			<xsl:if test="$opmode = 'Disabled' or $opmode = 'SI Injector' or $opmode = 'MHP Injector'">
				<xsl:attribute name="style">visibility:hidden;</xsl:attribute>
			</xsl:if>
			<xsl:if test="$opmode = 'Auto'">
				<xsl:attribute name="style"></xsl:attribute>
			</xsl:if>
			<xsl:if test="$opmode = 'Pass'">
				<xsl:attribute name="style">position:relative;top:10px;</xsl:attribute>
			</xsl:if>
			<xsl:if test="../../port[@index=$inputEditIndex]/tuner/type ='TerrestrialUSA'">
				<div class="row">
					<div class="largegeneralcell">
						<br/>
						<table>
							<tr>
								<td colspan="4">
									<h1 class="display">Tuner:</h1>
								</td>
							</tr>
							<tr>
								<td class="generalcell">
									Modulation:
								</td>
								<td>
									<select name="modulation">
										<option value="8VSB">
											<xsl:if test="$modulation='8VSB'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											8VSB
										</option>
										<option value="64QAM">
											<xsl:if test="$modulation='64QAM'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											64QAM
										</option>
										<option value="256QAM">
											<xsl:if test="$modulation='256QAM'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											256QAM
										</option>
									</select>
								</td>
							</tr>
							<tr>
								<td class="generalcell">
									Channel Number:
								</td>
								<td>
									<input type="text" name="channel">
										<xsl:attribute name="value">
											<xsl:value-of select="../../port[@index=$inputEditIndex]/tuner/channel"/>
										</xsl:attribute>
										<xsl:attribute name="size">8</xsl:attribute>
									</input>
								</td>
							</tr>
						</table>
					</div>
				</div>
			</xsl:if>
			<!-- If Terrestrial Tuner ahp-->
			<xsl:if test="../../port[@index=$inputEditIndex]/tuner/type ='Terrestrial'">
				<table>
					<tr>
						<td colspan="4">
							<h1 class="display">Tuner:</h1>
						</td>
					</tr>
					<tr>
						<td class="generalcell">
							Separation:
						</td>
						<td class="largegeneralcell">
							<select name="separation" style="width:125px;">
								<option value="7000000">
									<xsl:if test="$separation='7000000'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									7000000
								</option> 
								<option value="8000000">
									<xsl:if test="$separation='8000000'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									8000000
								</option>
							</select>
						</td>
						<td class="generalcell">
							Channel:
						</td>
						<td class="largegeneralcell">
							<select name="channel" style="width:125px;">
								<option value="2">
									<xsl:if test="$channel='2'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									2
								</option>
								<option value="3">
									<xsl:if test="$channel='3'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									3
								</option>
								<option value="4">
									<xsl:if test="$channel='4'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									4
								</option>
								<option value="5">
									<xsl:if test="$channel='5'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									5
								</option>
								<option value="6">
									<xsl:if test="$channel='6'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									6
								</option>
								<option value="7">
									<xsl:if test="$channel='7'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									7
								</option>
								<option value="8">
									<xsl:if test="$channel='8'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									8
								</option>
								<option value="9">
									<xsl:if test="$channel='9'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									9
								</option>
								<option value="10">
									<xsl:if test="$channel='10'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									10
								</option>
								<option value="11">
									<xsl:if test="$channel='11'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									11
								</option>
								<option value="12">
									<xsl:if test="$channel='12'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									12
								</option>
								<option value="21">
									<xsl:if test="$channel='21'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									21
								</option>
								<option value="22">
									<xsl:if test="$channel='22'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									22
								</option>
								<option value="23">
									<xsl:if test="$channel='23'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									23
								</option>
								<option value="24">
									<xsl:if test="$channel='24'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									24
								</option>
								<option value="25">
									<xsl:if test="$channel='25'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									25
								</option>
								<option value="26">
									<xsl:if test="$channel='26'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									26
								</option>
								<option value="27">
									<xsl:if test="$channel='27'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									27
								</option>
								<option value="28">
									<xsl:if test="$channel='28'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									28
								</option>
								<option value="29">
									<xsl:if test="$channel='29'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									29
								</option>
								<option value="30">
									<xsl:if test="$channel='30'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									30
								</option>
								<option value="31">
									<xsl:if test="$channel='31'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									31
								</option>
								<option value="32">
									<xsl:if test="$channel='32'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									32
								</option>
								<option value="33">
									<xsl:if test="$channel='33'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									33
								</option>
								<option value="34">
									<xsl:if test="$channel='34'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									34
								</option>
								<option value="35">
									<xsl:if test="$channel='35'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									35
								</option>
								<option value="36">
									<xsl:if test="$channel='36'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									36
								</option>
								<option value="37">
									<xsl:if test="$channel='37'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									37
								</option>
								<option value="38">
									<xsl:if test="$channel='38'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									38
								</option>
								<option value="39">
									<xsl:if test="$channel='39'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									39
								</option>
								<option value="40">
									<xsl:if test="$channel='40'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									40
								</option>
								<option value="41">
									<xsl:if test="$channel='41'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									41
								</option>
								<option value="42">
									<xsl:if test="$channel='42'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									42
								</option>
								<option value="43">
									<xsl:if test="$channel='43'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									43
								</option>
								<option value="44">
									<xsl:if test="$channel='44'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									44
								</option>
								<option value="45">
									<xsl:if test="$channel='45'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									45
								</option>
								<option value="46">
									<xsl:if test="$channel='46'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									46
								</option>
								<option value="47">
									<xsl:if test="$channel='47'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									47
								</option>
								<option value="48">
									<xsl:if test="$channel='48'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									48
								</option>
								<option value="49">
									<xsl:if test="$channel='49'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									49
								</option>
								<option value="50">
									<xsl:if test="$channel='50'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									50
								</option>
								<option value="51">
									<xsl:if test="$channel='51'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									51
								</option>
								<option value="52">
									<xsl:if test="$channel='52'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									52
								</option>
								<option value="53">
									<xsl:if test="$channel='53'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									53
								</option>
								<option value="54">
									<xsl:if test="$channel='54'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									54
								</option>
								<option value="55">
									<xsl:if test="$channel='55'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									55
								</option>
								<option value="56">
									<xsl:if test="$channel='56'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									56
								</option>
								<option value="57">
									<xsl:if test="$channel='57'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									57
								</option>
								<option value="58">
									<xsl:if test="$channel='58'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									58
								</option>
								<option value="59">
									<xsl:if test="$channel='59'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									59
								</option>
								<option value="60">
									<xsl:if test="$channel='60'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									60
								</option>
								<option value="61">
									<xsl:if test="$channel='61'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									61
								</option>
								<option value="62">
									<xsl:if test="$channel='62'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									62
								</option>
								<option value="63">
									<xsl:if test="$channel='63'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									63
								</option>
								<option value="64">
									<xsl:if test="$channel='64'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									64
								</option>
								<option value="65">
									<xsl:if test="$channel='65'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									65
								</option>
								<option value="66">
									<xsl:if test="$channel='66'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									66
								</option>
								<option value="67">
									<xsl:if test="$channel='67'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									67
								</option>
								<option value="68">
									<xsl:if test="$channel='68'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									68
								</option>
								<option value="69">
									<xsl:if test="$channel='69'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									69
								</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="generalcell">
							Modulation:
						</td>
						<td class="largegeneralcell">
							<select name="modulation" style="width:125px;">
								<option value="Auto">
									<xsl:if test="$modulation='Auto'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									Auto
								</option>
								<option value="BPSK">
									<xsl:if test="$modulation='BPSK'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									BPSK
								</option>
								<option value="QPSK">
									<xsl:if test="$modulation='QPSK'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									QPSK
								</option>
								<option value="QAM4">
									<xsl:if test="$modulation='QAM4'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									QAM4
								</option>
								<option value="PSK8">
									<xsl:if test="$modulation='PSK8'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									PSK8
								</option>
								<option value="QAM16">
									<xsl:if test="$modulation='QAM16'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									QAM16
								</option>
								<option value="QAM32">
									<xsl:if test="$modulation='QAM32'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									QAM32
								</option>
								<option value="QAM64">
									<xsl:if test="$modulation='QAM64'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									QAM64
								</option>
								<option value="QAM128">
									<xsl:if test="$modulation='QAM128'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									QAM128
								</option>
								<option value="QAM256">
									<xsl:if test="$modulation='QAM256'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									QAM256
								</option>
								<option value="QAM512">
									<xsl:if test="$modulation='QAM512'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									QAM512
								</option>
								<option value="QAM1024">
									<xsl:if test="$modulation='QAM1024'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									QAM1024
								</option>
							</select>
						</td>
						<td class="generalcell">
							Code Rate:
						</td>
						<td class="largegeneralcell">
							<select name="coderate" style="width:125px;">
								<option value="Auto">
									<xsl:if test="$coderate='Auto'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									Auto
								</option>
								<option value="1/2">
									<xsl:if test="$coderate='1/2'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									1/2
								</option>
								<option value="2/3">
									<xsl:if test="$coderate='2/3'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									2/3
								</option>
								<option value="3/4">
									<xsl:if test="$coderate='3/4'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									3/4
								</option>
								<option value="4/5">
									<xsl:if test="$coderate='4/5'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									4/5
								</option>
								<option value="5/6">
									<xsl:if test="$coderate='5/6'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									5/6
								</option>
								<option value="6/7">
									<xsl:if test="$coderate='6/7'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									6/7
								</option>
								<option value="7/8">
									<xsl:if test="$coderate='7/8'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									7/8
								</option>
								<option value="8/9">
									<xsl:if test="$coderate='8/9'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									8/9
								</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="generalcell">
							Hierarchy:
						</td>
						<td class="largegeneralcell">
							<select name="hierarchy" style="width:125px;">
								<option value="Auto">
									<xsl:if test="$hierarchy='8/9'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									Auto
								</option>
								<option value="NONE">
									<xsl:if test="$hierarchy='NONE'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									NONE
								</option>
								<option value="A1">
									<xsl:if test="$hierarchy='A1'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									A1
								</option>
								<option value="A2">
									<xsl:if test="$hierarchy='A2'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									A2
								</option>
								<option value="A4">
									<xsl:if test="$hierarchy='A4'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									A4
								</option>
							</select>
						</td>
						<td class="generalcell">
							Guard Interval:
						</td>
						<td class="largegeneralcell">
							<select name="guard_interval" style="width:125px;">
								<option value="Auto">
									<xsl:if test="$guard_interval='Auto'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									Auto
								</option>
								<option value="1/32">
									<xsl:if test="$guard_interval='1/32'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									1/32
								</option>
								<option value="1/16">
									<xsl:if test="$guard_interval='1/16'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									1/16
								</option>
								<option value="1/8">
									<xsl:if test="$guard_interval='1/8'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									1/8
								</option>
								<option value="1/4">
									<xsl:if test="$guard_interval='1/4'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									1/4
								</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="generalcell">
							FTT Size:
						</td>
						<td class="largegeneralcell">
							<select name="fftsize" style="width:125px;">
								<option value="Auto">
									<xsl:if test="$fftsize='Auto'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									Auto
								</option>
								<option value="2K">
									<xsl:if test="$fftsize='2K'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									2K
								</option>
								<option value="8K">
									<xsl:if test="$fftsize='8K'">
										<xsl:attribute name="selected">selected</xsl:attribute>
									</xsl:if>
									8K
								</option>
							</select>	
						</td>
						<td class="generalcell"> </td>
						<td class="largegeneralcell"> </td>
					</tr>
				</table>
			</xsl:if>
			<xsl:if test="../../port[@index=$inputEditIndex]/tuner/type ='Satellite'">
				<div class="row">
					<div class="largegeneralcell">
						<br/>
						<table>
							<tr>
								<td colspan="4">
									<h1 class="display">Tuner:</h1>
								</td>
							</tr>
							<tr>
								<td class="generalcell">
									LBand Frequency:
								</td>
								<td class="largegeneralcell">
									<input type="text" name="lband_frequency" size="15" value="{../../port[@index=$inputEditIndex]/tuner/lband_frequency}"/> MHz
								</td>
								<td class="generalcell">
									Symbol Rate:
								</td>
								<td class="largegeneralcell">
									<input type="text" name="symbol_rate" size="15" value="{../../port[@index=$inputEditIndex]/tuner/symbol_rate}"/> KHz
								</td>
							</tr>
							<tr>
								<td class="generalcell">
									Viterbi:
								</td>
								<td class="largegeneralcell">
									<select name="viterbi" style="width:125px;">
										<option value="Auto">
											<xsl:if test="$viterbi='Auto'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											Auto
										</option>
										<option value="1/2">
											<xsl:if test="$viterbi='1/2'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											1/2
										</option>
										<option value="2/3">
											<xsl:if test="$viterbi='2/3'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											2/3
										</option>
										<option value="3/4">
											<xsl:if test="$viterbi='3/4'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											3/4
										</option>
										<option value="5/6">
											<xsl:if test="$viterbi='5/6'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											5/6
										</option>
										<option value="7/8">
											<xsl:if test="$viterbi='7/8'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											7/8
										</option>
									</select>
								</td>
								<td class="generalcell">
									Modulation:
								</td>
								<td class="largegeneralcell">
									<select name="modulation" style="width:125px;">
										<option value="BPSK">
											<xsl:if test="$modulation='BPSK'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											BPSK
										</option>
										<option value="QPSK">
											<xsl:if test="$modulation='QPSK'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											QPSK
										</option>
									</select>
								</td>
							</tr>
							<tr>
								<td class="generalcell">
									Polarity:
								</td>
								<td class="largegeneralcell">
									<select name="polarity" style="width:125px;">
										<option value="Off">
											<xsl:if test="$polarity='Off'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											Off
										</option>
										<option value="Vertical">
											<xsl:if test="$polarity='Vertical'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											Vertical
										</option>
										<option value="Horizontal">
											<xsl:if test="$polarity='Horizontal'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											Horizontal
										</option>
									</select>
								</td>
								<td class="generalcell">
									Tone:
								</td>
								<td class="largegeneralcell">
									<select name="tone_22KHz" style="width:125px;">
										<option value="On">
											<xsl:if test="$tone_22KHz='On'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											On
										</option>
										<option value="Off">
											<xsl:if test="$tone_22KHz='Off'">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											Off
										</option>
									</select>
								</td>
							</tr>
						</table>
					</div>
				</div>
			</xsl:if>
			<!--ahp Add SatelliteS2 Tuner fields-->
			<xsl:if test="../../port[@index=$inputEditIndex]/tuner/type ='SatelliteS2'">
				<div class="row">
					<div class="largegeneralcell">
						TEST
					</div>
				</div>
			</xsl:if>
		</div>
		</div>
	</xsl:template>
	<xsl:template match="text()" mode="doeditport"/>
</xsl:stylesheet>
